curl --request GET \
--url https://api.companyenrich.com/people/email/bulk/{jobId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/people/email/bulk/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/people/email/bulk/{jobId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"total_requests": 123,
"found_count": 123,
"not_found_count": 123,
"unavailable_count": 123,
"chunk_count": 123,
"processed_chunks": 123,
"credits_charged": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"results_url": "<string>",
"error_message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get bulk email enrichment job status
Cost: FREE - No credits deducted
Returns the current status of a bulk person email enrichment job. Once completed, includes the results_url to download the full results.
curl --request GET \
--url https://api.companyenrich.com/people/email/bulk/{jobId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/people/email/bulk/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/people/email/bulk/{jobId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"total_requests": 123,
"found_count": 123,
"not_found_count": 123,
"unavailable_count": 123,
"chunk_count": 123,
"processed_chunks": 123,
"credits_charged": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"results_url": "<string>",
"error_message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Token used for authentication. Example: "Authorization: Bearer {token}"
Path Parameters
Response
OK
Unique identifier for the bulk person email enrichment job.
Current status of the job (pending, processing, completing, completed, failed).
pending, processing, completing, completed, failed Number of lookup items queued in the job.
Number of lookup items that found an email.
Number of lookup items that were definitively not found.
Number of lookup items that ended in unavailable status.
Total number of chunks in the job.
Number of chunks that have been completed.
Total credits charged for this job.
Timestamp when the job was created.
Timestamp when the job started processing.
Timestamp when the job completed.
URL to download the enrichment results (available when completed).
Error message if the job failed.